RDKit::CXXAtomIterator< Graph, Vertex > Struct Template Reference

`#include <ROMol.h>`

## Classes

struct | CXXAtomIter

## Public Member Functions

| CXXAtomIterator (Graph *graph)
CXXAtomIter | begin ()
CXXAtomIter | end ()

## Public Attributes

Graph * | graph
Graph::vertex_iterator | vstart
Graph::vertex_iterator | vend

## Detailed Description

### template<class Graph, class Vertex>
struct RDKit::CXXAtomIterator< Graph, Vertex >

Definition at line 106 of file ROMol.h.

## Constructor & Destructor Documentation

## CXXAtomIterator()

template<class Graph , class Vertex >

RDKit::CXXAtomIterator< Graph, Vertex >::CXXAtomIterator | ( | Graph * | graph | ) |

inline

Definition at line 129 of file ROMol.h.

References RDKit::CXXAtomIterator< Graph, Vertex >::graph, RDKit::CXXAtomIterator< Graph, Vertex >::vend, and RDKit::CXXAtomIterator< Graph, Vertex >::vstart.

## Member Function Documentation

## begin()

template<class Graph , class Vertex >

CXXAtomIter RDKit::CXXAtomIterator< Graph, Vertex >::begin | ( |  | ) |

inline

Definition at line 134 of file ROMol.h.

References RDKit::CXXAtomIterator< Graph, Vertex >::graph, and RDKit::CXXAtomIterator< Graph, Vertex >::vstart.

## end()

template<class Graph , class Vertex >

CXXAtomIter RDKit::CXXAtomIterator< Graph, Vertex >::end | ( |  | ) |

inline

Definition at line 135 of file ROMol.h.

References RDKit::CXXAtomIterator< Graph, Vertex >::graph, and RDKit::CXXAtomIterator< Graph, Vertex >::vend.

## Member Data Documentation

## graph

template<class Graph , class Vertex >

Graph* RDKit::CXXAtomIterator< Graph, Vertex >::graph

Definition at line 107 of file ROMol.h.

Referenced by RDKit::CXXAtomIterator< Graph, Vertex >::begin(), RDKit::CXXAtomIterator< Graph, Vertex >::CXXAtomIterator(), and RDKit::CXXAtomIterator< Graph, Vertex >::end().

## vend

template<class Graph , class Vertex >

Graph::vertex_iterator RDKit::CXXAtomIterator< Graph, Vertex >::vend

Definition at line 108 of file ROMol.h.

Referenced by RDKit::CXXAtomIterator< Graph, Vertex >::CXXAtomIterator(), and RDKit::CXXAtomIterator< Graph, Vertex >::end().

## vstart

template<class Graph , class Vertex >

Graph::vertex_iterator RDKit::CXXAtomIterator< Graph, Vertex >::vstart

Definition at line 108 of file ROMol.h.

Referenced by RDKit::CXXAtomIterator< Graph, Vertex >::begin(), and RDKit::CXXAtomIterator< Graph, Vertex >::CXXAtomIterator().

The documentation for this struct was generated from the following file:

- ROMol.h